---
---

## kubectl config set-cluster

Sets a cluster entry in kubeconfig

### Synopsis



Sets a cluster entry in kubeconfig.
Specifying a name that already exists will merge new fields on top of existing values for those fields.

```
kubectl config set-cluster NAME [--server=server] [--certificate-authority=path/to/certificate/authority] [--insecure-skip-tls-verify=true]
```

### Examples

```

# Set only the server field on the e2e cluster entry without touching other values.
kubectl config set-cluster e2e --server=https://1.2.3.4

# Embed certificate authority data for the e2e cluster entry
kubectl config set-cluster e2e --certificate-authority=~/.kube/e2e/kubernetes.ca.crt

# Disable cert checking for the dev cluster entry
kubectl config set-cluster e2e --insecure-skip-tls-verify=true
```

### Options

```
      --api-version value                       api-version for the cluster entry in kubeconfig
      --certificate-authority value             path to certificate-authority file for the cluster entry in kubeconfig
      --embed-certs value[=true]                embed-certs for the cluster entry in kubeconfig
      --insecure-skip-tls-verify value[=true]   insecure-skip-tls-verify for the cluster entry in kubeconfig
      --server value                            server for the cluster entry in kubeconfig
```

### Options inherited from parent commands

```
      --alsologtostderr value       log to standard error as well as files
      --as string                   Username to impersonate for the operation
      --client-certificate string   Path to a client certificate file for TLS
      --client-key string           Path to a client key file for TLS
      --cluster string              The name of the kubeconfig cluster to use
      --context string              The name of the kubeconfig context to use
      --kubeconfig string           use a particular kubeconfig file
      --log-backtrace-at value      when logging hits line file:N, emit a stack trace (default :0)
      --log-dir value               If non-empty, write log files in this directory
      --logtostderr value           log to standard error instead of files
      --match-server-version        Require server version to match client version
  -n, --namespace string            If present, the namespace scope for this CLI request
      --password string             Password for basic authentication to the API server
      --stderrthreshold value       logs at or above this threshold go to stderr (default 2)
      --token string                Bearer token for authentication to the API server
      --user string                 The name of the kubeconfig user to use
      --username string             Username for basic authentication to the API server
  -v, --v value                     log level for V logs
      --vmodule value               comma-separated list of pattern=N settings for file-filtered logging
```



###### Auto generated by spf13/cobra on 2-Sep-2016





<!-- BEGIN MUNGE: GENERATED_ANALYTICS -->
[![Analytics](https://kubernetes-site.appspot.com/UA-36037335-10/GitHub/docs/user-guide/kubectl/kubectl_config_set-cluster.md?pixel)]()
<!-- END MUNGE: GENERATED_ANALYTICS -->
